> ## Documentation Index
> Fetch the complete documentation index at: https://docs.limitguard.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Revoke Certificate

> Revoke a certificate.

Requires authentication via X-API-Key header.

Args:
    certificate_hash: SHA-256 hash of certificate
    api_key: Validated API key from header

Returns:
    Success message

Raises:
    HTTPException: 404 if certificate not found



## OpenAPI

````yaml /api-reference/openapi.json post /v1/certificate/{certificate_hash}/revoke
openapi: 3.1.0
info:
  title: LimitGuard.ai
  description: Trust Intelligence API - Entity verification and risk scoring
  version: 0.1.0
servers:
  - url: https://api.limitguard.ai
security: []
paths:
  /v1/certificate/{certificate_hash}/revoke:
    post:
      summary: Revoke Certificate
      description: |-
        Revoke a certificate.

        Requires authentication via X-API-Key header.

        Args:
            certificate_hash: SHA-256 hash of certificate
            api_key: Validated API key from header

        Returns:
            Success message

        Raises:
            HTTPException: 404 if certificate not found
      operationId: revoke_certificate_v1_certificate__certificate_hash__revoke_post
      parameters:
        - name: certificate_hash
          in: path
          required: true
          schema:
            type: string
            title: Certificate Hash
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                type: object
                additionalProperties: true
                title: >-
                  Response Revoke Certificate V1 Certificate  Certificate Hash 
                  Revoke Post
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - APIKeyHeader: []
components:
  schemas:
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    APIKeyHeader:
      type: apiKey
      in: header
      name: X-API-Key

````